<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
                xmlns:sec="http://www.thymeleaf.org">
<head th:fragment="head">
    <meta charset="UTF-8">
    <meta name="viewport"
          content="width=device-width, user-scalable=no, initial-scale=1.0, maximum-scale=1.0, minimum-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <link
            href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css"
            rel="stylesheet"
            integrity="sha384-KK94CHFLLe+nY2dmCWGMq91rCGa5gtU4mk92HdvYe+M/SXH301p5ILy+dN9+nJOZ"
            crossorigin="anonymous"
    />
    <link rel="stylesheet" th:href="@{../static/styles/style.css}">
    <script
            defer
            src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"
            integrity="sha384-ENjdO4Dr2bkBIFxQpeoTz1HIcje39Wm4jDKdf19U8gI4ddQ3GYNS7NTKfAdVQSZe"
            crossorigin="anonymous"
    ></script>
</head>

<header th:fragment="authHeader" class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom px-5">
    <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto link-body-emphasis text-decoration-none">
        <span class="fs-4 fw-600">eCommerce</span>
    </a>

    <ul class="nav nav-pills">
        <li class="nav-item"><a th:href="@{/login}" class="nav-link fw-500">Login</a></li>
        <li class="nav-item"><a th:href="@{/signup}" class="nav-link fw-500">Sign Up</a></li>
    </ul>
</header>


<header th:fragment="mainHeader" class="d-flex flex-wrap justify-content-center py-3 mb-4 border-bottom px-5">
    <a href="/" class="d-flex align-items-center mb-3 mb-md-0 me-md-auto link-body-emphasis text-decoration-none">
        <span class="fs-4 fw-600">eCommerce</span>
    </a>

    <ul class="nav nav-pills" sec:authorize="!isAuthenticated()">
        <li class="nav-item"><a th:href="@{/login}" class="nav-link fw-500 blue-bg">Login</a></li>
        <li class="nav-item"><a th:href="@{/signup}" class="nav-link fw-500 blue-bg">Sign Up</a></li>
    </ul>
    <ul class="nav nav-pills" sec:authorize="isAuthenticated()">
        <li class="nav-item"><a th:href="@{/cart}" class="nav-link fw-500 blue-bg">Cart</a></li>
        <li class="nav-item" sec:authorize="hasAnyRole('ROLE_USER')">
            <a th:href="@{/profile}" class="nav-link fw-500 blue-bg" th:text="${#strings.arraySplit(#authentication.name, '@')[0]}"></a>
        </li>
        <li class="nav-item" sec:authorize="hasRole('ROLE_ADMIN')">
            <a th:href="@{/admin}" class="nav-link fw-500 blue-bg">Admin panel</a>
        </li>
        <li class="nav-item">
            <a th:href="@{/logout}" class="nav-link fw-500 text-danger red-bg">Logout</a>
        </li>
    </ul>
</header>



<footer th:fragment="footer" class="pt-3 mt-4">
    <ul class="nav justify-content-center border-bottom pb-3 mb-3">
        <li class="nav-item blue-bg" th:each="category, categoryIndex : ${categories}" th:if="${categoryIndex.index} &lt; 10">
            <a class="nav-link px-2 text-body-secondary"
               th:text="${#strings.capitalize(category.category)}"
               th:href="@{'/category/' + ${category.category}}"></a>
        </li>
    </ul>
    <p class="text-center text-body-secondary">© Done by dev.tato</p>
</footer>

</html>